Page MenuHomePhabricator

Create User-RhinosF1 Project on Phab
Closed, ResolvedPublic

Description

Please can I have a User-RhinosF1 project on Phab.

This project only please that can edit and restricted to only existing members being able to add other users.

I want to use it to track things for the Wikis that I run

Event Timeline

RhinosF1 created this task.Jul 3 2019, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2019, 9:03 PM
RhinosF1 triaged this task as Normal priority.Jul 3 2019, 9:03 PM
RhinosF1 moved this task from To Triage to Misc on the Phabricator board.
RhinosF1 moved this task from Incoming to Projects to create on the Project-Admins board.

I can create the project, but I am not able to modify the edit policies. It looks only Administrators and perhaps #acl*phabricator people would be able to do it.

This project only please that can edit and restricted to only existing members being able to add other users.

Please explain which problem that would solve.
There is no good reason why edit policies should be restricted. See https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Project_policies

I want to use it to track things for the Wikis that I run

Are those things related to MediaWiki? Or completely third-party only?

Aklapper raised the priority of this task from Normal to Needs Triage.Jul 4 2019, 12:34 AM

Yes the wikis run using Mediawiki so I'd likely put the tag on bugs that required my attention for some reason on my wiki

Aklapper changed the task status from Open to Stalled.Jul 4 2019, 1:49 PM

@Aklapper : Whats stalling this?

RhinosF1 changed the task status from Stalled to Open.Jul 7 2019, 2:25 PM

This project only please that can edit and restricted to only existing members being able to add other users.

Please explain which problem that would solve.
There is no good reason why edit policies should be restricted. See https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Project_policies

If this isn't ideal then forget this point but the group that potentially will need to join / edit the project is small and I can't see anyone who doesn't know a member well enough to just ask ever really needing to join / edit the project.

I want to use it to track things for the Wikis that I run

Are those things related to MediaWiki? Or completely third-party only?

They are 3rd party wikis running the latest stable version of Mediawiki.

the group that potentially will need to join / edit the project is small

It's not about needing to join a project but allowing anyone to join. :) (What is an example for "editing the project"?)

They are 3rd party wikis running the latest stable version of Mediawiki.

Let me rephrase: Would this project tag be used on tasks which also have another project tag, so your tag is more of a list of bookmarks of MediaWiki tasks which interest you? Or is this more of a "Update our 3rd party MediaWiki installation to version 1.64" with only your tag on those tasks, specifically about your sites only? Asking as the latter might be out of scope.

the group that potentially will need to join / edit the project is small

It's not about needing to join a project but allowing anyone to join. :) (What is an example for "editing the project"?

I mean the Phab project so like Changing the description

They are 3rd party wikis running the latest stable version of Mediawiki.

Let me rephrase: Would this project tag be used on tasks which also have another project tag, so your tag is more of a list of bookmarks of MediaWiki tasks which interest you?

This top one

Or is this more of a "Update our 3rd party MediaWiki installation to version 1.64" with only your tag on those tasks, specifically about your sites only? Asking as the latter might be out of scope.

Jasper added a subscriber: Jasper.Jul 7 2019, 6:51 PM

I oppose this, due to RhinosF1's recent sockpuppetry both on-wiki and on IRC. He is currently globally banned from all Wikimedia IRC channels.

I oppose this, due to RhinosF1's recent sockpuppetry both on-wiki and on IRC. He is currently globally banned from all Wikimedia IRC channels.

I'm not going to go into it in detail but there's a few pre-sock and post-sock letters on https://meta.wikimedia.org/wiki/User:RhinosF1/statements . I'm on IRC / Discord now and email is okay if you'd like to ask further questions.

Aklapper closed this task as Resolved.Jul 7 2019, 7:02 PM
Aklapper claimed this task.

(I don't see how a ban on IRC channels has any relation to creating a user project in Wikimedia Phabricator.)

Requested public project User-RhinosF1 has been created: https://phabricator.wikimedia.org/project/view/4159/

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

Enjoy!

Thanks Andre